Delete PDF evidence
Roles
Analytics Events
/v1/ecosystems/{ecosystemId}/participants/{participantId}/evidence/{evidenceId}Delete metadata for a given uploaded PDF evidence and remove it from storage.
Analytic events
- ECOSYSTEM_PARTICIPANT_EVIDENCE_DELETE_START
- ECOSYSTEM_PARTICIPANT_EVIDENCE_DELETE_SUCCESS
- ECOSYSTEM_PARTICIPANT_EVIDENCE_DELETE_FAIL
Authorization
bearerAuth In: header
Path Parameters
The UUID of the participant
uuidThe UUID of the ecosystem
uuidThe UUID of the participant evidence
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.com/v1/ecosystems/497f6eca-6276-4993-bfeb-53cbbbba6f08/participants/497f6eca-6276-4993-bfeb-53cbbbba6f08/evidence/497f6eca-6276-4993-bfeb-53cbbbba6f08"How would you rate this page?
Update PDF evidence metadata PUT
Update metadata for a given uploaded PDF evidence. ### **Analytic events** * ECOSYSTEM_PARTICIPANT_EVIDENCE_UPDATE_START * ECOSYSTEM_PARTICIPANT_EVIDENCE_UPDATE_SUCCESS * ECOSYSTEM_PARTICIPANT_EVIDENCE_UPDATE_FAIL
Create a participant issuer certificate POST
Create a new issuer certificate for the specified participant. The certificatePem field cannot be modified once the certificate is created. To maintain trust continuity across a certificate rotation, provide `linkCertificateInfo` to add this certificate as a successor to a previously uploaded certificate. Link certificates can only be added when the certificate is created, not when it is updated. ### **Analytic events** * ECOSYSTEM_PARTICIPANT_ISSUER_CERTIFICATE_CREATE_START * ECOSYSTEM_PARTICIPANT_ISSUER_CERTIFICATE_CREATE_SUCCESS * ECOSYSTEM_PARTICIPANT_ISSUER_CERTIFICATE_CREATE_FAIL